> For the complete documentation index, see [llms.txt](https://docs.vesicash.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vesicash.com/api-documentation/errors.md).

# Errors

Again, Vesicash API is RESTful and uses conventional HTTP response codes to indicate the success or failure status of requests.

| Status Code             | Description                                                                                                                                     |
| ----------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| 200, 201                | The request was successful and intended action was carried out.                                                                                 |
| 400                     | The request could not be fulfilled because it already exists or is a bad request                                                                |
| 401                     | The request was not authorized. This occurs when you fail to pass in a private key in the authorization header or the one passed in is invalid. |
| 404                     | The request could not be fulfilled as the request resource does not exist.                                                                      |
| 500, 501, 502, 503, 504 | The request could not be fulfilled due to an error from Vesicash. This shouldn't happen, so please report as soon as you encounter this.        |

#### Failure Reasons

This section lists all possible failure reasons returned by the API, along with their descriptions and corresponding status values. Use these codes to understand and handle failed transaction responses.

| Failure Reason                     | Description                                         | Status  |
| ---------------------------------- | --------------------------------------------------- | ------- |
| ABANDONED\_TRANSACTION             | Abandoned transaction/PIN not inputted              | Failed  |
| DECLINED\_TRANSACTION              | Declined transaction                                | Failed  |
| INSUFFICIENT\_FUNDS                | Insufficient Wallet Balance                         | Failed  |
| INVALID\_PIN                       | PIN Mismatch                                        | Failed  |
| TRANSACTION\_LIMIT\_EXCEEDED       | Transaction Limit Exceeded                          | Failed  |
| ACCOUNT\_NOT\_FOUND                | Invalid Wallet Account                              | Failed  |
| ACCOUNT\_BLOCKED                   | Wallet Locked / Suspended                           | Failed  |
| PROVIDER\_TIMEOUT                  | Provider System Timeout                             | Failed  |
| TRNASACTION\_FAILED                | Transaction failed on the provider’s end            | Failed  |
| <p></p><p>TRNASACTION\_PENDING</p> | Transaction was still pending on the provider's end | Pending |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vesicash.com/api-documentation/errors.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
